更新 aospDeviceOwnerDeviceConfiguration
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 aospDeviceOwnerDeviceConfiguration 对象 的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 aospDeviceOwnerDeviceConfiguration 对象的 JSON 表示形式。
下表显示创建 aospDeviceOwnerDeviceConfiguration 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 实体的键。 继承自 deviceConfiguration |
| lastModifiedDateTime | DateTimeOffset | 上次修改对象的日期/时间。 继承自 deviceConfiguration |
| roleScopeTagIds | String collection | 此实体实例的范围标记列表。 继承自 deviceConfiguration |
| supportsScopeTags | Boolean | 指示基础设备配置是否支持分配范围标记。 当此值为 false 且实体对范围用户不可见时,不允许分配给 ScopeTags 属性。 这适用于在 Silverlight 中创建的旧版策略,可通过在 Azure 门户中删除和重新创建策略来解决。 此属性是只读的。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | 此策略的操作系统版本适用性。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | 此策略的操作系统版本适用性规则。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | 此策略的设备模式适用性规则。 继承自 deviceConfiguration |
| createdDateTime | DateTimeOffset | 创建对象的日期/时间。 继承自 deviceConfiguration |
| description | String | 管理员提供的设备配置的说明。 继承自 deviceConfiguration |
| displayName | String | 管理员提供的设备配置的名称。 继承自 deviceConfiguration |
| version | Int32 | 设备配置的版本。 继承自 deviceConfiguration |
| appsBlockInstallFromUnknownSources | Boolean | 指示是否允许用户启用未知源设置。 设置为 true 时,不允许用户启用未知源设置。 |
| bluetoothBlocked | Boolean | 指示是否禁用蓝牙的使用。 设置为 true 时,无法在设备上启用蓝牙。 |
| bluetoothBlockConfiguration | 布尔 | 指示是否阻止用户配置蓝牙。 |
| cameraBlocked | Boolean | 指示是否禁用相机的使用。 |
| factoryResetBlocked | Boolean | 指示设置中的恢复出厂设置选项是否已禁用。 |
| passwordMinimumLength | Int32 | 指示设备上所需的密码的最小长度。 有效值为 4 至 16 |
| passwordMinutesOfInactivityBeforeScreenTimeout | Int32 | 屏幕超时之前的不活动分钟数。 |
| passwordRequiredType | androidDeviceOwnerRequiredPasswordType | 指示设备上所需的最低密码质量。 可取值为:deviceDefault、required、numeric、numericComplex、alphabetic、alphanumeric、alphanumericWithSymbols、lowSecurityBiometric、customPassword。 |
| passwordSignInFailureCountBeforeFactoryReset | Int32 | 指示擦除设备之前用户可以输入错误密码次数。 有效值为 4 至 11 |
| screenCaptureBlocked | Boolean | 指示是否禁用屏幕截图功能。 |
| securityAllowDebuggingFeatures | Boolean | 指示是否阻止用户在设备上启用调试功能。 |
| storageBlockExternalMedia | Boolean | 指示是否阻止外部媒体。 |
| storageBlockUsbFileTransfer | 布尔 | 指示是否阻止 USB 文件传输。 |
| wifiBlockEditConfigurations | 布尔 | 指示是否阻止用户编辑 wifi 连接设置。 |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK aospDeviceOwnerDeviceConfiguration 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 1587
{
"@odata.type": "#microsoft.graph.aospDeviceOwnerDeviceConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"appsBlockInstallFromUnknownSources": true,
"bluetoothBlocked": true,
"bluetoothBlockConfiguration": true,
"cameraBlocked": true,
"factoryResetBlocked": true,
"passwordMinimumLength": 5,
"passwordMinutesOfInactivityBeforeScreenTimeout": 14,
"passwordRequiredType": "required",
"passwordSignInFailureCountBeforeFactoryReset": 12,
"screenCaptureBlocked": true,
"securityAllowDebuggingFeatures": true,
"storageBlockExternalMedia": true,
"storageBlockUsbFileTransfer": true,
"wifiBlockEditConfigurations": true
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1759
{
"@odata.type": "#microsoft.graph.aospDeviceOwnerDeviceConfiguration",
"id": "c9e83a69-3a69-c9e8-693a-e8c9693ae8c9",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"appsBlockInstallFromUnknownSources": true,
"bluetoothBlocked": true,
"bluetoothBlockConfiguration": true,
"cameraBlocked": true,
"factoryResetBlocked": true,
"passwordMinimumLength": 5,
"passwordMinutesOfInactivityBeforeScreenTimeout": 14,
"passwordRequiredType": "required",
"passwordSignInFailureCountBeforeFactoryReset": 12,
"screenCaptureBlocked": true,
"securityAllowDebuggingFeatures": true,
"storageBlockExternalMedia": true,
"storageBlockUsbFileTransfer": true,
"wifiBlockEditConfigurations": true
}
反馈
提交和查看相关反馈